DashO Gradle Plugin Change Log V3.1 Build 0

Categories
DashO Gradle Plugin Change Log

Published on May 3, 2018 by PreEmptive Admin

Reading Time: < 1 minute

Change Log – Version 3.1.0

IMPORTANT NOTES:
Obfuscation is now enabled, in Android builds, by the standard minifyEnabled setting.
The disabledForBuildTypes and disabledForBuildVariants settings can no longer be used.

If upgrading from a previous version you MUST manually change your build configuration.
After building, verify the project is protected.

See the behavior change note in 3.0.0.

Enhancements:

  • Supports Android Gradle Plugin 3.1.0 & 3.1.1.

Changes:

  • disabledForBuildTypes and disabledForBuildVariants settings can no longer be used.
  • minifyEnabled is now used to configure when DashO protects Android builds.
  • Minimum required Android Gradle Plugin version is 3.1.0.
  • Minimum required Gradle version is 4.4.